package com.srs.stureg.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.srs.common.annotation.Excel;
import com.srs.common.core.domain.BaseEntity;

/**
 * 【请填写功能名称】对象 srs_stu_dorm
 * 
 * @author srs
 * @date 2023-07-24
 */
public class SrsStuDorm extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    private Long id;

    /** 学号 */
    @Excel(name = "学号")
    private String stuNo;

    /** 宿舍编号 */
    @Excel(name = "宿舍编号")
    private Long roomNo;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setStuNo(String stuNo) 
    {
        this.stuNo = stuNo;
    }

    public String getStuNo() 
    {
        return stuNo;
    }
    public void setRoomNo(Long roomNo) 
    {
        this.roomNo = roomNo;
    }

    public Long getRoomNo() 
    {
        return roomNo;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("stuNo", getStuNo())
            .append("roomNo", getRoomNo())
            .toString();
    }
}
